%global pypi_name lesspass

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        1%{?dist}
Summary:        LessPass stateless password generator

License:        GPL-3.0
URL:            https://github.com/lesspass/lesspass
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 LessPass - stateless password generatorUsage: lesspass SITE [LOGIN]
[MASTER_PASSWORD] [OPTIONS]Arguments: SITE site used in the password generation
(required) LOGIN login used in the password generation default to '' if not
provided MASTER_PASSWORD master password used in password generation default to
LESSPASS_MASTER_PASSWORD env variable or promptOptions: -l, --lowercase add
lowercase in...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 LessPass - stateless password generatorUsage: lesspass SITE [LOGIN]
[MASTER_PASSWORD] [OPTIONS]Arguments: SITE site used in the password generation
(required) LOGIN login used in the password generation default to '' if not
provided MASTER_PASSWORD master password used in password generation default to
LESSPASS_MASTER_PASSWORD env variable or promptOptions: -l, --lowercase add
lowercase in...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/lesspass
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Jan 09 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 6.1.0-1
- Initial package.
